use std::io;
use std::io::Write;

pub fn configure_command(config_path: &str) {
  let repository_dir = get_user_input("Enter your desired video repository directory path: ");
  let interval = get_user_input("Enter how long Zealot should wait in between runs (in minutes): ");

  println!("Updating config file {} with repository path {} and interval {}.", config_path, repository_dir, interval);
}

fn get_user_input(message: &str) -> String {
  // print our message to the user, then flush STDIN so the message is sent
  print!("{}", message);
  io::stdout().flush().unwrap();

  // now create our string object and read the input
  let mut input = String::new();
  io::stdin()
    .read_line(&mut input)
    .expect("Failed to get user input");

  // obviously, return the trimmed result as a String object
  return input.trim().to_string();
}
